Summary: Olaf Kirch non setuid traceroute implementation.
Name: traceroute
Version: 1.0.4
Release: 2tr
License: Distributable
Group: Trustix Official
Source: ftp://ftp.lst.de/pub/people/okir/%{name}/%{name}-%{version}.tar.bz2
Source1: traceroute6.8.gz
Source2: traceroute.8.gz
BuildRoot: %{_tmppath}/%{name}-root

%description
The traceroute utility displays the route used by IP packets on their
way to a specified network (or Internet) host.  Traceroute displays
the IP number and host name (if possible) of the machines along the
route taken by the packets.  Traceroute is used as a network debugging
tool.  If you're having network connectivity problems, traceroute will
show you where the trouble is coming from along the route.

This is a small traceroute replacement that works without requiring a 
setuid bit. It is written by Olaf Kirch, and relies on a number of features 
introduced in the Linux 2.4 kernel, especially the ability to obtain raw 
ICMP error information from a UDP socket.

%prep
%setup -q

%build
make 

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}
make DESTDIR=${RPM_BUILD_ROOT} install
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man8/
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_mandir}/man8/

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%{_sbindir}/traceroute
%{_sbindir}/traceroute6
%{_mandir}/man8/*

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Fri Jul 21 2006 Nived Gopalan <nived at trustix dot org> 1.0.4-1tr
- New Upstream

* Wed Mar 16 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 1.0-4tr
- Rebuilt against Official Glibc-2.3.4 

* Tue Dec  9 2003 Erlend Midttun <erlendbm at trustix dot org> 1.0-1tr
- New upstream.

* Mon Jun 23 2003 Erlend Midttun <erlendbm at trustix dot com> 0.6.3-6tr
- Added %%defattr.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 0.6.3-5tr
- Big rebuild

* Thu Jun  5 2003 Erlend Midttun <erlendbm at trustix dot com> 0.6.3-4em
- Fixed file/dir ownership conflict.

* Mon May 12 2003 Erlend Midttun <erlendbm at trustix dot com> 0.6.3-3em
- Removed kernel requirement.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 0.6.3-2em
- Rebuilt against glibc 2.3.2.

* Thu Feb 20 2003 Christian H. Toldnes <christht at trustix dot com> 0.6.3-1ct
- Initial release for TSL 2.0
- Replaces the old setuid traceroute
